List transactions

Retrieve a paginated list of transactions for the authenticated account.

This endpoint returns transaction data with optional filtering and pagination support. Transactions are returned based on the specified order and count parameters.

Query Params
integer
1 to 100
Defaults to 20

Number of transactions to return per page

string
enum
Defaults to asc

Sort order for results. Default is asc.

Allowed:
string | null

Return transactions after this transaction ID (for pagination)

date-time | null

Start of the date range for returned transactions. Format YYYY-MM-DDTHH:MM:SS.

date-time | null

End of the date range for returned transactions. Format YYYY-MM-DDTHH:MM:SS.

boolean | null
Defaults to false

Requests a list of transactions that have completed the approvals process. Default is false (all transactions).

string | null
enum
Defaults to detailed

Determines response verbosity. simplified returns limited fields (transactionId, transactionDate, transactionStatus, responseCode, message, transactionType, retryDate, amount, initialMerchantTransactionId, paymentMethodStorageState, completionStatus). detailed returns all available fields.

Allowed:
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json